# Class pyglet.text.formats.structured.OrderedListBuilder

    ListBuilder --+
                  |
                 OrderedListBuilder

## Methods

| __init__(self, start, format) Create an ordered list with sequentially numbered mark text.
str | get_mark(self, value) Get the mark text for the next list item.
| begin(self, decoder, style) Begin a list. (Inherited from pyglet.text.formats.structured.ListBuilder)
| item(self, decoder, style, value=None) Begin a list item. (Inherited from pyglet.text.formats.structured.ListBuilder)

## Class Variables

| format_re = `re.compile(r'`(`.`*?``)``(``[`1aAiI`]``)``(`.`*``)`')`

## Method Details

### __init__

(Constructor) __init__(self, start, format)

Create an ordered list with sequentially numbered mark text.

The format is composed of an optional prefix text, a numbering scheme character followed by suffix text. Valid numbering schemes are:

`1`
  Decimal Arabic
`a`
  Lowercase alphanumberic
`A`
  Uppercase alphanumeric
`i`
  Lowercase Roman
`I`
  Uppercase Roman

Prefix text may typically be `(` or `[` and suffix text is typically `.`, `)` or empty, but either can be any string.

Parameters:
  start : int
    First list item number.
  format : str
    Format style, for example `"1."`.

### get_mark

get_mark(self, value)
Get the mark text for the next list item.

Returns: str
Overrides:
  ListBuilder.get_mark